Bug 251545 - Review Request: setroubleshoot-plugins - analysis plugins for setroubleshoot
Review Request: setroubleshoot-plugins - analysis plugins for setroubleshoot
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-09 13:35 EDT by John Dennis
Modified: 2009-12-22 10:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-22 10:18:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tmraz: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description John Dennis 2007-08-09 13:35:30 EDT
Spec URL: http://people.redhat.com/jdennis/setroubleshoot-plugins.spec
SRPM URL: http://people.redhat.com/jdennis/setroubleshoot-plugins-1.10.0-1.fc7.src.rpm
Description: The setroubleshoot-server package formerly contained all the analysis plugins. This new package splits the plugins into their own completely independent package (*not* a subpackage) to ease updating. The plugin package contains only the plugins and their i18n translations. There is not much new here, the contents of this package had been previously been included elsewhere, this is just a packaging partition which probably should have been done originally.

Note, both setroubleshoot and setroubleshoot-server have dependencies on this package. This package does not have a dependency on either of the two aforementioned packages since either one of those can be installed independently.
Comment 1 Tomas Mraz 2007-08-16 17:29:43 EDT
First notes:

Incorrect license tag: GPL - should be GPLv2+ instead.

rpmlint -v ~/download/setroubleshoot-plugins-1.10.0-1.fc7.src.rpm 
I: setroubleshoot-plugins checking
W: setroubleshoot-plugins tag-in-description BuildRequires:
The Buildrequires: python is misplaced into the description.

W: setroubleshoot-plugins strange-permission setroubleshoot-plugins.spec 0600
Please assign 0644 permissions.

W: setroubleshoot-plugins mixed-use-of-spaces-and-tabs (spaces: line 12, tab:
line 49)
Is it really necessary to use the leading tabs in the changelog?

rpmlint -v setroubleshoot-plugins-1.10.0-1.fc8.noarch.rpm 
I: setroubleshoot-plugins checking
E: setroubleshoot-plugins zero-length
/usr/share/doc/setroubleshoot-plugins-1.10.0/TODO
E: setroubleshoot-plugins zero-length
/usr/share/doc/setroubleshoot-plugins-1.10.0/NEWS
E: setroubleshoot-plugins zero-length
/usr/share/doc/setroubleshoot-plugins-1.10.0/ChangeLog
E: setroubleshoot-plugins zero-length
/usr/share/doc/setroubleshoot-plugins-1.10.0/README
Perhaps these empty files shouldn't be included in the package?

W: setroubleshoot-plugins tag-in-description BuildRequires:
W: setroubleshoot-plugins incoherent-version-in-changelog 1.10.1-1 1.10.0-1.fc8
Changelog mentions 1.10.1 Version is 1.10.0.

W: setroubleshoot-plugins empty-%postun
Shouldn't the setroubleshootd be notified through dbus on uninstall too?

In the %post - the dbus-send output+stderr probably should be redirected to
/dev/null and also the command safeguarded for non-zero exit status by '||:'

As I see there is setroubleshoot repository on hosted.fedoraproject.org would it
be possible to also host upstream tarballs there?
Comment 2 John Dennis 2007-08-17 19:00:51 EDT
Thank you for your review Tomas, its very much appreciated.

New files have been loaded at the above URL (sorry, at the moment I don't think
FedoraProject will allow puting the files there, at least that used to be case,
perhaps it's changed)

All the above issues have been addressed, except one. The permissions on the
spec file are still 0600 and that seems to be the result of using rpmbuild in
tar file mode. The permissions on the spec file in the tar file is 0664. If you
use rpmbuld to create the srpm in non-tar file mode the spec file is 0644, but
if you use rpmbuild to create the spec file in tar file mode it appears to
change the permissions from 0644 in the tar file to 0600, go figure, I don't
know why. Other spec files have 0600 and it hasn't created a problem yet. 
Comment 3 John Dennis 2007-08-20 18:59:11 EDT
FYI: I tracked down the reason the spec file produced by rpmbuild had the wrong
permissions and opened bug 253648 against rpmbuild.
Comment 4 Tomas Mraz 2007-08-21 12:29:12 EDT
(In reply to comment #2)
> Thank you for your review Tomas, its very much appreciated.
> 
> New files have been loaded at the above URL (sorry, at the moment I don't think
> FedoraProject will allow puting the files there, at least that used to be case,
> perhaps it's changed)
I think that you can simply attach the .tar.gz files to the Trac wiki of your
project. It's not ideal but it works - like here:
https://hosted.fedoraproject.org/projects/vixie-cron/

Also the URL field should point to the project pages rather than www.redhat.com.

> All the above issues have been addressed, except one. The permissions on the
> spec file are still 0600 and that seems to be the result of using rpmbuild in
> tar file mode. The permissions on the spec file in the tar file is 0664. If you
> use rpmbuld to create the srpm in non-tar file mode the spec file is 0644, but
> if you use rpmbuild to create the spec file in tar file mode it appears to
> change the permissions from 0644 in the tar file to 0600, go figure, I don't
> know why. Other spec files have 0600 and it hasn't created a problem yet. 
That's nothing critical as when you'll import the spec file with right
permissions into packages CVS the perms should be OK in the rpms built by koji.

rpmlint output:
rpmlint -v RPMS/noarch/setroubleshoot-plugins-1.10.0-1.fc8.noarch.rpm 
I: setroubleshoot-plugins checking

rpmlint -v SRPMS/setroubleshoot-plugins-1.10.0-1.fc8.src.rpm 
I: setroubleshoot-plugins checking
W: setroubleshoot-plugins strange-permission setroubleshoot-plugins.spec 0600
OK - see above

As I wrote above - perhaps you have overlooked that: In the %post - the
dbus-send output+stderr probably should be redirected to /dev/null and also the
command safeguarded for non-zero exit status by '||:'

Otherwise it's OK so APPROVED.
Comment 5 John Dennis 2007-08-21 16:20:11 EDT
Thank you Tomas. You are correct, I overlooked the safegaurding of the dbus-send
command and fixed that. I also updated the URL.

I agree, the permissions on the spec file are not a significant issue.

Thank you for taking the time for a thourough review.
Comment 6 John Dennis 2007-08-21 18:55:59 EDT
New Package CVS Request
=======================
Package Name: setroubleshoot-plugins
Short Description: Analysis plugins for use with setroubleshoot
Owners: jdennis
Branches: FC-6 F-7 F-8
InitialCC: dwalsh
Commits by cvsextras: No
Comment 7 Kevin Fenzi 2007-08-21 19:30:45 EDT
cvs done.
Comment 8 Fedora Update System 2007-08-27 17:43:52 EDT
setroubleshoot-1.10.1-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2007-08-29 13:26:46 EDT
setroubleshoot-plugins-1.10.1-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Peter Lemenkov 2009-12-22 10:18:39 EST
It seems that someone forgot to close this ticket :). I'm sure we can close it now.

Note You need to log in before you can comment on or make changes to this bug.